//*******************************************************************
// Apci8759w.pas
//
// aPCI-8759
//
// Copyrigt ADTEK SYSTEM SCIENCE Co.,Ltd.
//
//*******************************************************************
unit Apci8759w;

interface

uses
	Windows;

const
	// DLL Name
	APCI8759_DLL_NAME												='Apci8759.DLL';

	// Error code
	APCI8759_SUCCESS												=0;		// ُȂiIj
	APCI8759_ERR_SYSTEM											=1;		// VXeG[
	APCI8759_ERR_NO_DEVICE									=2;		// gp\ȃfoCX܂
	APCI8759_ERR_IN_USE											=3;		// w̃foCX͎gpł
	APCI8759_ERR_INVALID_SLOT								=4;		// Ș_Xbgł
	APCI8759_ERR_RESOURCE										=5;		// \[XG[
	APCI8759_ERR_INVALID_PORT								=6;		// sȃ|[gv
	APCI8759_ERR_INVALID_ARGUMENT						=7;		// sȈv܂
	APCI8759_ERR_INVALID_AXIS								=50; 	// Ȑ䎲v

	// Axis
	APCI8759_AXIS_1													=0;
	APCI8759_AXIS_2													=1;
	APCI8759_AXIS_3													=2;
	APCI8759_AXIS_4													=3;

  // I/O Map
	APCI8759_PORT_DATA1											= $00;
	APCI8759_PORT_DATA2											= $01;
	APCI8759_PORT_DATA3											= $02;
	APCI8759_PORT_DATA4											= $03;
	APCI8759_PORT_COMMAND										= $04;
	APCI8759_PORT_MODE1											= $05;
	APCI8759_PORT_MODE2											= $06;
	APCI8759_PORT_UNIVERSAL_SIGNAL					= $07;
	APCI8759_PORT_DRIVE_STATUS							= $04;
	APCI8759_PORT_END_STATUS								= $05;
	APCI8759_PORT_MECHANICAL_SIGNAL					= $06;

	// command
	APCI8759_RANGE_WRITE										=$00;
	APCI8759_RANGE_READ											=$01;
	APCI8759_START_STOP_SPEED_DATA_WRITE		=$02;
	APCI8759_START_STOP_SPEED_DATA_READ			=$03;
	APCI8759_OBJECT_SPEED_DATA_WRITE				=$04;
	APCI8759_OBJECT_SPEED_DATA_READ					=$05;
	APCI8759_RATE1_DATA_WRITE								=$06;
	APCI8759_RATE1_DATA_READ								=$07;
	APCI8759_RATE2_DATA_WRITE								=$08;
	APCI8759_RATE2_DATA_READ								=$09;
	APCI8759_RATE3_DATA_WRITE								=$0a;
	APCI8759_RATE3_DATA_READ								=$0b;
	APCI8759_RATE_CHANGE_POINT_1_2_WRITE		=$0c;
	APCI8759_RATE_CHANGE_POINT_1_2_READ			=$0d;
	APCI8759_RATE_CHANGE_POINT_2_3_WRITE		=$0e;
	APCI8759_RATE_CHANGE_POINT_2_3_READ			=$0f;
	APCI8759_SLOW_DOWN_REAR_PULSE_WRITE			=$10;
	APCI8759_SLOW_DOWN_REAR_PULSE_READ			=$11;
	APCI8759_NOW_SPEED_DATA_READ						=$12;
	APCI8759_DRIVE_PULSE_COUNTER_READ				=$13;
	APCI8759_PRESET_PULSE_DATA_OVERRIDE			=$14;
	APCI8759_PRESET_PULSE_DATA_READ					=$15;
	APCI8759_DEVIATION_DATA_READ						=$16;
	APCI8759_INPOSITION_WAIT_MODE1_SET			=$17;
	APCI8759_INPOSITION_WAIT_MODE2_SET			=$18;
	APCI8759_INPOSITION_WAIT_MODE_RESET			=$19;
	APCI8759_ALARM_STOP_ENABLE_MODE_SET			=$1a;
	APCI8759_ALARM_STOP_ENABLE_MODE_RESET		=$1b;
	APCI8759_INTERRUPT_OUT_ENABLE_MODE_SET	=$1c;
	APCI8759_INTERRUPT_OUT_ENABLE_MODE_RESET=$1d;
	APCI8759_SLOW_DOWN_STOP									=$1e;
	APCI8759_EMERGENCY_STOP									=$1f;
	APCI8759_PLUS_PRESET_PULSE_DRIVE				=$20;
	APCI8759_MINUS_PRESET_PULSE_DRIVE				=$21;
	APCI8759_PULS_CONTINUOUS_DIRVE					=$22;
	APCI8759_MINUS_CONTINUOUS_DIRVE					=$23;
	APCI8759_PULS_SIGNAL_SEARCH1_DRIVE			=$24;
	APCI8759_MINUS_SIGNAL_SEARCH1_DRIVE			=$25;
	APCI8759_PULS_SIGNAL_SEARCH2_DRIVE			=$26;
	APCI8759_MINUS_SIGNAL_SEARCH2_DRIVE			=$27;
	APCI8759_INTERNAL_COUNTER_WRITE					=$28;
	APCI8759_INTERNAL_COUNTER_READ					=$29;
	APCI8759_INTERNAL_COMPARATE_DATA_WRITE	=$2a;
	APCI8759_INTERNAL_COMPARATE_DATA_READ		=$2b;
	APCI8759_EXTERNAL_COUNTER_WRITE					=$2c;
	APCI8759_EXTERNAL_COUNTER_READ					=$2d;
	APCI8759_EXTERNAL_COMPARATE_DATA_WRITE	=$2e;
	APCI8759_EXTERNAL_COMPARATE_DATA_READ		=$2f;
	APCI8759_INTERNAL_PRE_SCALE_DATA_WRITE	=$30;
	APCI8759_INTERNAL_PRE_SCALE_DATA_READ		=$31;
	APCI8759_EXTERNAL_PRE_SCALE_DATA_WRITE	=$32;
	APCI8759_EXTERNAL_PRE_SCALE_DATA_READ		=$33;
	APCI8759_CLEAR_SIGNAL_SELECT						=$34;
	APCI8759_ONE_TIME_CLEAR_REQUEST					=$35;
	APCI8759_FULL_TIME_CLEAR_REQUEST				=$36;
	APCI8759_CLEAR_REQUEST_RESET						=$37;
	APCI8759_REVERSE_COUNT_MODE_SET					=$38;
	APCI8759_REVERSE_COUNT_MODE_RESET				=$39;
	APCI8759_NO_OPERATION										=$3a;
	APCI8759_STRAIGHT_ACCELERATE_MODE_SET		=$84;
	APCI8759_US_STRAIGHT_ACCELERATE_MODE_SET=$85;
	APCI8759_S_CURVE_ACCELERATE_MODE_SET		=$86;
	APCI8759_US_S_CURVE_ACCELERATE_MODE_SET	=$87;
	APCI8759_SW1_DATA_WRITE									=$88;
	APCI8759_SW1_DATA_READ									=$89;
	APCI8759_SW2_DATA_WRITE									=$8a;
	APCI8759_SW2_DATA_READ									=$8b;
	APCI8759_SLOW_DOWN_LIMIT_ENABLE_MODE_SET=$8c;
	APCI8759_SLOW_DOWN_LIMIT_ENABLE_MODE_RESET=$8d;
	APCI8759_EMERGENCY_LIMIT_ENABLE_MODE_SET=$8e;
	APCI8759_EMERGENCY_LIMIT_ENABLE_MODE_RESET=$8f;
	APCI8759_INITAL_CLEAR										=$90;

	// Misc
	APCI8759_SLOT_AUTO											=$FFFF;
	APCI8759_MAX_SLOTS											=16;
	APCI8759_ERR_WRAPDLL										=DWord(-1);

	// Resource information
	APCI8759_MAX_MEM												=9;
	APCI8759_MAX_IO													=20;
	APCI8759_MAX_IRQ												=7;
	APCI8759_MAX_DMA												=7;

type
	TAPCI8759RESOURCE = record
		dwNumMemWindows:																	DWord;	{ س޳(gp) }
		dwMemBase:			array [1 .. APCI8759_MAX_MEM] of	DWord;	{ س޳ްڽ(gp) }
		dwMemLength:		array [1 .. APCI8759_MAX_MEM] of	DWord;	{ س޳(gp) }
		dwMemAttrib:		array [1 .. APCI8759_MAX_MEM] of	DWord;	{ س޳(gp) }
		dwNumIOPorts:																			DWord;	{ I/O߰Đ }
		dwIOPortBase:		array [1 .. APCI8759_MAX_IO] 	of	DWord;	{ I/O߰ްڽ }
		dwIOPortLength: array [1 .. APCI8759_MAX_IO] 	of	DWord;	{ I/O߰Ē }
		dwNumIRQs:																				DWord;	{ IRQ(gp) }
		dwIRQRegisters: array [1 .. APCI8759_MAX_IRQ] of	DWord;	{ IRQؽ(gp) }
		dwIRQAttrib:		array [1 .. APCI8759_MAX_IRQ] of	DWord;	{ IRQؽ(gp) }
		dwNumDMAs:																				DWord;	{ DMAِ(gp) }
		dwDMALst:				array [1 .. APCI8759_MAX_DMA] of	DWord;	{ DMAؽ(gp) }
		dwDMAAttrib:		array [1 .. APCI8759_MAX_DMA] of	DWord;	{ DMAّؽ(gp) }
		dwReserved1:		array [1 .. 3] of									DWord;	{ \(gp) }
	end;

PAPCI8759R=^TAPCI8759RESOURCE;

//DLL [h
function Apci8759wDllOpen:Boolean;
//DLL A[h
function Apci8759wDllClose:Boolean;
//o[Wԍ擾
function Apci8759wGetVersion(var pdwDllVer:DWord; var pdwDrvVer:DWord):Boolean;
//foCX̎gp錾
function Apci8759wCreate(var pwLogSlot:Word):Boolean;
//foCX̊J
function Apci8759wClose(wLogSlot:Word):Boolean;
//\[X擾
function Apci8759wGetResource(wLogSlot:Word;pres:PAPCI8759R):Boolean;
//ǂݍݎs
function Apci8759wInPort(wLogSlot:Word;wAxis:Word;wPort:Word;var pbData:Byte):Boolean;
//ݎs
function Apci8759wOutPort(wLogSlot:Word;wAxis:Word;wPort:Word;bData:Byte):Boolean;
//G[R[h擾
function Apci8759wGetLastError(wLogSlot:Word):DWord;
//hCuXe[^X擾
function Apci8759wGetDriveStatus(wLogSlot:Word;wAxis:Word;var pbStatus:Byte):Boolean;
//GhXe[^X擾
function Apci8759wGetEndStatus(wLogSlot:Word;wAxis:Word;var pbStatus:Byte):Boolean;
//JjJVOi擾
function Apci8759wGetMechanicalSignal(wLogSlot:Word;wAxis:Word;var pbSignal:Byte):Boolean;
//jo[TVOi擾
function Apci8759wGetUniversalSignal(wLogSlot:Word;wAxis:Word;var pbSignal:Byte):Boolean;
//[hP
function Apci8759wMode1Write(wLogSlot:Word;wAxis:Word;bMode:Byte):Boolean;
//[hQ
function Apci8759wMode2Write(wLogSlot:Word;wAxis:Word;bMode:Byte):Boolean;
//jo[TVOi
function Apci8759wUniversalSignalWrite(wLogSlot:Word;wAxis:Word;bSignal:Byte):Boolean;
//QoCgf[^ǂݍ
function Apci8759wDataHalfRead(wLogSlot:Word;wAxis:Word;bCmd:Byte;var pwData:Word):Boolean;
//SoCgf[^ǂݍ
function Apci8759wDataFullRead(wLogSlot:Word;wAxis:Word;bCmd:Byte;var pdwData:DWord):Boolean;
//R}h
function Apci8759wCommandWrite(wLogSlot:Word;wAxis:Word;bCmd:Byte):Boolean;
//QoCgf[^
function Apci8759wDataHalfWrite(wLogSlot:Word;wAxis:Word;bCmd:Byte;wData:Word):Boolean;
//SoCgf[^
function Apci8759wDataFullWrite(wLogSlot:Word;wAxis:Word;bCmd:Byte;dwData:DWord):Boolean;
//armXCb`̒l擾
function Apci8759wGetSwitchValue(wLogSlot:Word;var pdwSwitchValue:DWord):Boolean;

implementation

type
	TApci8759GetVersion						=function(var pdwDllVer:DWord; var pdwDrvVer:DWord):Boolean;stdcall;
	TApci8759Create							 	=function(var pwLogSlot:Word):Boolean;stdcall;
	TApci8759Close							 	=function(wLogSlot:Word):Boolean;stdcall;
	TApci8759GetResource          =function(wLogSlot:Word;pres:PAPCI8759R):Boolean;stdcall;
	TApci8759InPort								=function(wLogSlot:Word;wAxis:Word;wPort:Word;var pbData:Byte):Boolean;stdcall;
	TApci8759OutPort							=function(wLogSlot:Word;wAxis:Word;wPort:Word;bData:Byte):Boolean;stdcall;
	TApci8759GetLastError					=function(wLogSlot:Word):Word;stdcall;
	TApci8759GetDriveStatus       =function(wLogSlot:Word;wAxis:Word;var pbStatus:Byte):Boolean;stdcall;
	TApci8759GetEndStatus         =function(wLogSlot:Word;wAxis:Word;var pbStatus:Byte):Boolean;stdcall;
	TApci8759GetMechanicalSignal  =function(wLogSlot:Word;wAxis:Word;var pbSignal:Byte):Boolean;stdcall;
	TApci8759GetUniversalSignal   =function(wLogSlot:Word;wAxis:Word;var pbSignal:Byte):Boolean;stdcall;
	TApci8759Mode1Write           =function(wLogSlot:Word;wAxis:Word;bMode:Byte):Boolean;stdcall;
	TApci8759Mode2Write           =function(wLogSlot:Word;wAxis:Word;bMode:Byte):Boolean;stdcall;
	TApci8759UniversalSignalWrite	=function(wLogSlot:Word;wAxis:Word;bSignal:Byte):Boolean;stdcall;
	TApci8759DataHalfRead         =function(wLogSlot:Word;wAxis:Word;bCmd:Byte;var pwData:Word):Boolean;stdcall;
	TApci8759DataFullRead         =function(wLogSlot:Word;wAxis:Word;bCmd:Byte;var pdwData:DWord):Boolean;stdcall;
	TApci8759CommandWrite         =function(wLogSlot:Word;wAxis:Word;bCmd:Byte):Boolean;stdcall;
	TApci8759DataHalfWrite        =function(wLogSlot:Word;wAxis:Word;bCmd:Byte;wData:Word):Boolean;stdcall;
	TApci8759DataFullWrite        =function(wLogSlot:Word;wAxis:Word;bCmd:Byte;dwData:DWord):Boolean;stdcall;
	TApci8759GetSwitchValue				=function(wLogSlot:Word;var pdwSwitchValue:DWord):Boolean;stdcall;

function Apci8759wGetDllExportFunc:Boolean;forward;

{$J+}
const
	hDLL: THandle = 0;
{$J-}

// DLLGNX|[g֐AhX̊i[ϐ
var
	pApci8759GetVersion:					TApci8759GetVersion;
	pApci8759Create:							TApci8759Create;
	pApci8759Close:								TApci8759Close;
	pApci8759GetResource:					TApci8759GetResource;
	pApci8759InPort:							TApci8759InPort;
	pApci8759OutPort:							TApci8759OutPort;
	pApci8759GetLastError:				TApci8759GetLastError;
	pApci8759GetDriveStatus:			TApci8759GetDriveStatus;
	pApci8759GetEndStatus:				TApci8759GetEndStatus;
	pApci8759GetMechanicalSignal:	TApci8759GetMechanicalSignal;
	pApci8759GetUniversalSignal:	TApci8759GetUniversalSignal;
	pApci8759Mode1Write:					TApci8759Mode1Write;
	pApci8759Mode2Write:					TApci8759Mode2Write;
	pApci8759UniversalSignalWrite:TApci8759UniversalSignalWrite;
	pApci8759DataHalfRead:				TApci8759DataHalfRead;
	pApci8759DataFullRead:				TApci8759DataFullRead;
	pApci8759CommandWrite:				TApci8759CommandWrite;
	pApci8759DataHalfWrite:				TApci8759DataHalfWrite;
	pApci8759DataFullWrite:				TApci8759DataFullWrite;
	pApci8759GetSwitchValue:			TApci8759GetSwitchValue;
//===================================================================
//   	Apci8759.dll [h
//   	
// ߂l  True
//				s False
//===================================================================
function Apci8759wDllOpen:Boolean;
begin
	Result:=False;
	if hDLL <> 0 then Exit;
	hDLL := LoadLibrary(APCI8759_DLL_NAME);
	if hDLL = 0 then Exit;
	if Apci8759wGetDllExportFunc = False then	begin
		Apci8759wDllClose;	// DLL GNX|[g֐擾ɎŝŁADLL N[Y
		Exit;
	end;
	Result := True;
end;
//===================================================================
//   	Apci8759.dllA[h
//   	
// ߂l  True
//				s False
//===================================================================
function Apci8759wDllClose: Boolean;
begin
	Result := True;
	if hDLL = 0 then Exit;
	if FreeLibrary(hDLL) = True then hDLL := 0
	else Result := False;
end;
//===================================================================
//    o[Wԍ擾
//    pdwDllVer	DLLo[Wԍi[
//        pdwDrvVer	DRVo[Wԍi[
// ߂l  True
//				s False
//===================================================================
function Apci8759wGetVersion(var pdwDllVer:DWord; var pdwDrvVer:DWord):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759GetVersion(pdwDllVer,pdwDrvVer);
end;
//===================================================================
//    foCX̎gp錾
//    pwLogSlot gpfoCXi[
// ߂l  True
//				s False
//===================================================================
function Apci8759wCreate(var pwLogSlot:Word):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759Create(pwLogSlot);
end;
//===================================================================
//    foCX̊J
//    wLogSlot	gpfoCX
// ߂l  True
//				s False
//===================================================================
function Apci8759wClose(wLogSlot:Word):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759Close(wLogSlot);
end;
//===================================================================
//    wfoCX̃\[X擾
//    wLogSlot	foCX
//        pres			\[Xi[\
// ߂l  True
//				s False
//===================================================================
function Apci8759wGetResource(wLogSlot:Word;pres:PAPCI8759R):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759GetResource(wLogSlot,pres);
end;
//===================================================================
//    wfoCXɑ΂ǂݍݎs
//    wLogSlot		foCX
//        wAxis				Ώې䎲
//        wPort				|[gԍiO`Vj
//        pbData			̓f[^i[
// ߂l  True
//        s False
//===================================================================
function Apci8759wInPort(wLogSlot:Word;wAxis:Word;wPort:Word;var pbData:Byte):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759InPort(wLogSlot,wAxis,wPort,pbData);
end;
//===================================================================
//    wfoCXɑ΂ݎs
//    wLogSlot		foCX
//        wAxis				Ώې䎲
//        wPort				|[gԍiO`Vj
//        bData				o̓f[^
// ߂l  True
//        s False
//===================================================================
function Apci8759wOutPort(wLogSlot:Word;wAxis:Word;wPort:Word;bData:Byte):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759OutPort(wLogSlot,wAxis,wPort,bData);
end;
//===================================================================
//    G[R[h擾
//    wLogSlot		foCX
// ߂l  True
//        s False
//===================================================================
function Apci8759wGetLastError(wLogSlot:Word):DWord;
begin
	Result := APCI8759_ERR_WRAPDLL;
	if hDLL = 0 then Exit;
	Result := pApci8759GetLastError(wLogSlot);
end;
//===================================================================
//    hCuXe[^X擾
//    wLogSlot	foCX
//        wAxis			Ώې䎲
//        pbStatus  Xe[^Xi[
// ߂l  True
//				s False
//===================================================================
function Apci8759wGetDriveStatus(wLogSlot:Word;wAxis:Word;var pbStatus:Byte):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759GetDriveStatus(wLogSlot, wAxis, pbStatus);
end;
//===================================================================
//    GhXe[^X擾
//    wLogSlot	foCX
//        wAxis			Ώې䎲
//        pbStatus  Xe[^Xi[
// ߂l  True
//				s False
//===================================================================
function Apci8759wGetEndStatus(wLogSlot:Word;wAxis:Word;var pbStatus:Byte):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759GetEndStatus(wLogSlot, wAxis, pbStatus);
end;
//===================================================================
//    JjJVOi擾
//    wLogSlot	foCX
//        wAxis			Ώې䎲
//        pbSignal  VOii[
// ߂l  True
//				s False
//===================================================================
function Apci8759wGetMechanicalSignal(wLogSlot:Word;wAxis:Word;var pbSignal:Byte):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759GetMechanicalSignal(wLogSlot, wAxis, pbSignal);
end;
//===================================================================
//    jo[TVOi擾
//    wLogSlot	foCX
//        wAxis			Ώې䎲
//        pbSignal  VOii[
// ߂l  True
//				s False
//===================================================================
function Apci8759wGetUniversalSignal(wLogSlot:Word;wAxis:Word;var pbSignal:Byte):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759GetUniversalSignal(wLogSlot, wAxis, pbSignal);
end;
//===================================================================
//    [hP
//    wLogSlot	foCX
//        wAxis			Ώې䎲
//        bMode  		[hl
// ߂l  True
//				s False
//===================================================================
function Apci8759wMode1Write(wLogSlot:Word;wAxis:Word;bMode:Byte):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759Mode1Write(wLogSlot, wAxis, bMode);
end;
//===================================================================
//    [hQ
//    wLogSlot	foCX
//        wAxis			Ώې䎲
//        bMode  		[hl
// ߂l  True
//				s False
//===================================================================
function Apci8759wMode2Write(wLogSlot:Word;wAxis:Word;bMode:Byte):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759Mode2Write(wLogSlot, wAxis, bMode);
end;
//===================================================================
//    jo[TVOi
//    wLogSlot	foCX
//        wAxis			Ώې䎲
//        bSignal  	VOil
// ߂l  True
//				s False
//===================================================================
function Apci8759wUniversalSignalWrite(wLogSlot:Word;wAxis:Word;bSignal:Byte):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759UniversalSignalWrite(wLogSlot, wAxis, bSignal);
end;
//===================================================================
//    QoCgf[^ǂݍ
//    wLogSlot	foCX
//        wAxis			Ώې䎲
//        bCmd  		R}h
//				pwData		f[^i[
// ߂l  True
//				s False
//===================================================================
function Apci8759wDataHalfRead(wLogSlot:Word;wAxis:Word;bCmd:Byte;var pwData:Word):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759DataHalfRead(wLogSlot, wAxis, bCmd, pwData);
end;
//===================================================================
//    SoCgf[^ǂݍ
//    wLogSlot	foCX
//        wAxis			Ώې䎲
//        bCmd  		R}h
//				pdwData		f[^i[
// ߂l  True
//				s False
//===================================================================
function Apci8759wDataFullRead(wLogSlot:Word;wAxis:Word;bCmd:Byte;var pdwData:DWord):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759DataFullRead(wLogSlot, wAxis, bCmd, pdwData);
end;
//===================================================================
//    R}h
//    wLogSlot	foCX
//        wAxis			Ώې䎲
//        bCmd  		R}h
// ߂l  True
//				s False
//===================================================================
function Apci8759wCommandWrite(wLogSlot:Word;wAxis:Word;bCmd:Byte):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759CommandWrite(wLogSlot, wAxis, bCmd);
end;
//===================================================================
//    QoCgf[^
//    wLogSlot	foCX
//        wAxis			Ώې䎲
//        bCmd  		R}h
//        wData     f[^
// ߂l  True
//				s False
//===================================================================
function Apci8759wDataHalfWrite(wLogSlot:Word;wAxis:Word;bCmd:Byte;wData:Word):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759DataHalfWrite(wLogSlot, wAxis, bCmd, wData);
end;
//===================================================================
//    SoCgf[^
//    wLogSlot	foCX
//        wAxis			Ώې䎲
//        bCmd  		R}h
//        dwData    f[^
// ߂l  True
//				s False
//===================================================================
function Apci8759wDataFullWrite(wLogSlot:Word;wAxis:Word;bCmd:Byte;dwData:DWord):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759DataFullWrite(wLogSlot, wAxis, bCmd, dwData);
end;
//===================================================================
//    SoCgf[^
//    wLogSlot				foCX
//        pdwSwitchValue	XCb`̒li[̈ւ̃|C^
// ߂l  True
//				s False
//===================================================================
function Apci8759wGetSwitchValue(wLogSlot:Word;var pdwSwitchValue:DWord):Boolean;
begin
	Result := False;
	if hDLL = 0 then Exit;
	Result := pApci8759GetSwitchValue(wLogSlot, pdwSwitchValue);
end;
//-------------------------------------------------------------------
//    DLLGNX|[g֐AhX̎擾
//    
// ߂l  True
//				s False
//-------------------------------------------------------------------
function Apci8759wGetDllExportFunc:Boolean;
begin
	Result := False;

	pApci8759GetVersion						:= GetProcAddress(hDLL,'Apci8759GetVersion');
	if @pApci8759GetVersion 					= nil then Exit;
	pApci8759Create								:= GetProcAddress(hDLL,'Apci8759Create');
	if @pApci8759Create 							= nil then Exit;
	pApci8759Close								:= GetProcAddress(hDLL,'Apci8759Close');
	if @pApci8759Close 								= nil then Exit;
	pApci8759GetResource					:= GetProcAddress(hDLL,'Apci8759GetResource');
	if @pApci8759GetResource 					= nil then Exit;
	pApci8759InPort								:= GetProcAddress(hDLL,'Apci8759InPort');
	if @pApci8759InPort			 					= nil then Exit;
	pApci8759OutPort							:= GetProcAddress(hDLL,'Apci8759OutPort');
	if @pApci8759OutPort							= nil then Exit;
	pApci8759GetLastError					:= GetProcAddress(hDLL,'Apci8759GetLastError');
	if @pApci8759GetLastError					= nil then Exit;
	pApci8759GetDriveStatus				:= GetProcAddress(hDLL,'Apci8759GetDriveStatus');
	if @pApci8759GetDriveStatus 			= nil then Exit;
	pApci8759GetEndStatus					:= GetProcAddress(hDLL,'Apci8759GetEndStatus');
	if @pApci8759GetEndStatus 				= nil then Exit;
	pApci8759GetMechanicalSignal	:= GetProcAddress(hDLL,'Apci8759GetMechanicalSignal');
	if @pApci8759GetMechanicalSignal 	= nil then Exit;
	pApci8759GetUniversalSignal		:= GetProcAddress(hDLL,'Apci8759GetUniversalSignal');
	if @pApci8759GetUniversalSignal	 	= nil then Exit;
	pApci8759Mode1Write						:= GetProcAddress(hDLL,'Apci8759Mode1Write');
	if @pApci8759Mode1Write 					= nil then Exit;
	pApci8759Mode2Write						:= GetProcAddress(hDLL,'Apci8759Mode2Write');
	if @pApci8759Mode2Write 					= nil then Exit;
	pApci8759UniversalSignalWrite	:= GetProcAddress(hDLL,'Apci8759UniversalSignalWrite');
	if @pApci8759UniversalSignalWrite = nil then Exit;
	pApci8759DataHalfRead					:= GetProcAddress(hDLL,'Apci8759DataHalfRead');
	if @pApci8759DataHalfRead 				= nil then Exit;
	pApci8759DataFullRead					:= GetProcAddress(hDLL,'Apci8759DataFullRead');
	if @pApci8759DataFullRead 				= nil then Exit;
	pApci8759CommandWrite					:= GetProcAddress(hDLL,'Apci8759CommandWrite');
	if @pApci8759CommandWrite 				= nil then Exit;
	pApci8759DataHalfWrite				:= GetProcAddress(hDLL,'Apci8759DataHalfWrite');
	if @pApci8759DataHalfWrite 				= nil then Exit;
	pApci8759DataFullWrite				:= GetProcAddress(hDLL,'Apci8759DataFullWrite');
	if @pApci8759DataFullWrite 				= nil then Exit;
	pApci8759GetSwitchValue				:= GetProcAddress(hDLL,'Apci8759GetSwitchValue');
	if @pApci8759GetSwitchValue				= nil then Exit;

	Result := True;	// SĂ DLL GNX|[g֐AhX擾
end;

end.

