Attribute VB_Name = "Apci8759w"
'===================================================================
' Apci8759w.bas
'
' aPCI-8759
'
' Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
'
' Date Jan.1999
'
'===================================================================
Option Explicit
Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" (ByVal lpLibFileName As String) As Long
Declare Function FreeLibrary Lib "kernel32" (ByVal hLibModule As Long) As Long
Declare Function GetProcAddress Lib "kernel32" (ByVal hModule As Long, ByVal lpProcName As String) As Long

Global Const APCI8759_DLL_NAME = "Apci8759.dll"         ' DLL
Dim hDLL As Long                                        ' DLLւ̃nh
Global Const APCI8759_ERR_WRAPDLL = -1                  ' bp[֐G[

'===================================================================
'       Apci8759.dll [h
'       
' ߂l  True
'        s False
'===================================================================
Function Apci8759wDllOpen() As Boolean
    Apci8759wDllOpen = False
    If hDLL <> 0 Then Exit Function
    hDLL = LoadLibrary(APCI8759_DLL_NAME)
    If hDLL = 0 Then Exit Function
    If Apci8759wGetDllExportFunc() = False Then
        Apci8759wDllClose     ' DLL GNX|[g֐LmFɎŝŁADLL N[Y
        Exit Function
    End If
    Apci8759wDllOpen = True
End Function
'===================================================================
'       Apci8759.dllA[h
'       
' ߂l  True
'        s False
'===================================================================
Function Apci8759wDllClose() As Boolean
    Apci8759wDllClose = True
    If hDLL = 0 Then Exit Function
    If FreeLibrary(hDLL) <> 0 Then hDLL = 0 Else Apci8759wDllClose = False
End Function
'===================================================================
'    o[Wԍ擾
'    pdwDllVer  DLLo[Wԍi[
'        pdwDrvVer  DRVo[Wԍi[
' ߂l  True
'        s False
'===================================================================
Function Apci8759wGetVersion(ByRef pdwDllVer As Long, ByRef pdwDrvVer As Long) As Boolean
    Apci8759wGetVersion = False
    If hDLL = 0 Then Exit Function
    If Apci8759GetVersion(pdwDllVer, pdwDrvVer) = 0 Then Exit Function
    Apci8759wGetVersion = True
End Function
'===================================================================
'    foCX̎gp錾
'    pwLogSlot gpfoCXi[
' ߂l  True
'        s False
'===================================================================
Function Apci8759wCreate(ByRef pwLogSlot As Integer) As Boolean
    Apci8759wCreate = False
    If hDLL = 0 Then Exit Function
    If Apci8759Create(pwLogSlot) = 0 Then Exit Function
    Apci8759wCreate = True
End Function
'===================================================================
'    foCX̊J
'    wLogSlot   gpfoCX
' ߂l  True
'        s False
'===================================================================
Function Apci8759wClose(ByVal wLogSlot As Integer) As Long
    Apci8759wClose = False
    If hDLL = 0 Then Exit Function
    If Apci8759Close(wLogSlot) = 0 Then Exit Function
    Apci8759wClose = True
End Function
'===================================================================
'    wfoCX̃\[X擾
'    wLogSlot   foCX
'        pres       \[Xi[\
' ߂l  True
'        s False
'===================================================================
Function Apci8759wGetResource(ByVal wLogSlot As Integer, ByRef pres As APCI8759RESOURCE) As Boolean
    Apci8759wGetResource = False
    If hDLL = 0 Then Exit Function
    If Apci8759GetResource(wLogSlot, pres) = 0 Then Exit Function
    Apci8759wGetResource = True
End Function
'===================================================================
'    wfoCXɑ΂ǂݍݎs
'    wLogSlot       foCX
'        wAxis          Ώې䎲
'        wPort          |[gԍiO`Vj
'        pbData         ̓f[^i[
' ߂l  True
'        s False
'===================================================================
Function Apci8759wInPort(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal wPort As Integer, ByRef pbData As Byte) As Boolean
    Apci8759wInPort = False
    If hDLL = 0 Then Exit Function
    If Apci8759InPort(wLogSlot, wAxis, wPort, pbData) = 0 Then Exit Function
    Apci8759wInPort = True
End Function
'===================================================================
'    wfoCXɑ΂ݎs
'    wLogSlot       foCX
'        wAxis          Ώې䎲
'        wPort          |[gԍiO`Vj
'        bData          o̓f[^
' ߂l  True
'        s False
'===================================================================
Function Apci8759wOutPort(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal wPort As Integer, ByVal bData As Byte) As Boolean
    Apci8759wOutPort = False
    If hDLL = 0 Then Exit Function
    If Apci8759OutPort(wLogSlot, wAxis, wPort, bData) = 0 Then Exit Function
    Apci8759wOutPort = True
End Function
'===================================================================
'    G[R[h擾
'    wLogSlot       foCX
' ߂l  True
'        s False
'===================================================================
Function Apci8759wGetLastError(ByVal wLogSlot As Integer) As Long
    Apci8759wGetLastError = APCI8759_ERR_WRAPDLL
    If hDLL = 0 Then Exit Function
    Apci8759wGetLastError = Apci8759GetLastError(wLogSlot)
End Function
'===================================================================
'    hCuXe[^X擾
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        pbStatus   Xe[^Xi[
' ߂l  True
'        s False
'===================================================================
Function Apci8759wGetDriveStatus(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbStatus As Byte) As Boolean
    Apci8759wGetDriveStatus = False
    If hDLL = 0 Then Exit Function
    If Apci8759GetDriveStatus(wLogSlot, wAxis, pbStatus) = 0 Then Exit Function
    Apci8759wGetDriveStatus = True
End Function
'===================================================================
'    GhXe[^X擾
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        pbStatus   Xe[^Xi[
' ߂l  True
'        s False
'===================================================================
Function Apci8759wGetEndStatus(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbStatus As Byte) As Boolean
    Apci8759wGetEndStatus = False
    If hDLL = 0 Then Exit Function
    If Apci8759GetEndStatus(wLogSlot, wAxis, pbStatus) = 0 Then Exit Function
    Apci8759wGetEndStatus = True
End Function
'===================================================================
'    JjJVOi擾
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        pbSignal   VOii[
' ߂l  True
'        s False
'===================================================================
Function Apci8759wGetMechanicalSignal(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbSignal As Byte) As Boolean
    Apci8759wGetMechanicalSignal = False
    If hDLL = 0 Then Exit Function
    If Apci8759GetMechanicalSignal(wLogSlot, wAxis, pbSignal) = 0 Then Exit Function
    Apci8759wGetMechanicalSignal = True
End Function
'===================================================================
'    jo[TVOi擾
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        pbSignal   VOii[
' ߂l  True
'        s False
'===================================================================
Function Apci8759wGetUniversalSignal(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbSignal As Byte) As Boolean
    Apci8759wGetUniversalSignal = False
    If hDLL = 0 Then Exit Function
    If Apci8759GetUniversalSignal(wLogSlot, wAxis, pbSignal) = 0 Then Exit Function
    Apci8759wGetUniversalSignal = True
End Function
'===================================================================
'    [hP
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bMode      [hl
' ߂l  True
'        s False
'===================================================================
Function Apci8759wMode1Write(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bMode As Byte) As Boolean
    Apci8759wMode1Write = False
    If hDLL = 0 Then Exit Function
    If Apci8759Mode1Write(wLogSlot, wAxis, bMode) = 0 Then Exit Function
    Apci8759wMode1Write = True
End Function
'===================================================================
'    [hQ
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bMode      [hl
' ߂l  True
'        s False
'===================================================================
Function Apci8759wMode2Write(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bMode As Byte) As Boolean
    Apci8759wMode2Write = False
    If hDLL = 0 Then Exit Function
    If Apci8759Mode2Write(wLogSlot, wAxis, bMode) = 0 Then Exit Function
    Apci8759wMode2Write = True
End Function
'===================================================================
'    jo[TVOi
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bSignal    VOil
' ߂l  True
'        s False
'===================================================================
Function Apci8759wUniversalSignalWrite(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bSignal As Byte) As Boolean
    Apci8759wUniversalSignalWrite = False
    If hDLL = 0 Then Exit Function
    If Apci8759UniversalSignalWrite(wLogSlot, wAxis, bSignal) = 0 Then Exit Function
    Apci8759wUniversalSignalWrite = True
End Function
'===================================================================
'    QoCgf[^ǂݍ
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bCmd       R}h
'        pwData     f[^i[
' ߂l  True
'        s False
'===================================================================
Function Apci8759wDataHalfRead(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByRef pwData As Integer) As Boolean
    Apci8759wDataHalfRead = False
    If hDLL = 0 Then Exit Function
    If Apci8759DataHalfRead(wLogSlot, wAxis, bCmd, pwData) = 0 Then Exit Function
    Apci8759wDataHalfRead = True
End Function
'===================================================================
'    SoCgf[^ǂݍ
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bCmd       R}h
'        pdwData    f[^i[
' ߂l  True
'        s False
'===================================================================
Function Apci8759wDataFullRead(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByRef pdwData As Long) As Boolean
    Apci8759wDataFullRead = False
    If hDLL = 0 Then Exit Function
    If Apci8759DataFullRead(wLogSlot, wAxis, bCmd, pdwData) = 0 Then Exit Function
    Apci8759wDataFullRead = True
End Function
'===================================================================
'    R}h
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bCmd       R}h
' ߂l  True
'        s False
'===================================================================
Function Apci8759wCommandWrite(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte) As Boolean
    Apci8759wCommandWrite = False
    If hDLL = 0 Then Exit Function
    If Apci8759CommandWrite(wLogSlot, wAxis, bCmd) = 0 Then Exit Function
    Apci8759wCommandWrite = True
End Function
'===================================================================
'    QoCgf[^
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bCmd       R}h
'        wData     f[^
' ߂l  True
'        s False
'===================================================================
Function Apci8759wDataHalfWrite(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByVal pwData As Integer) As Boolean
    Apci8759wDataHalfWrite = False
    If hDLL = 0 Then Exit Function
    If Apci8759DataHalfWrite(wLogSlot, wAxis, bCmd, pwData) = 0 Then Exit Function
    Apci8759wDataHalfWrite = True
End Function
'===================================================================
'    SoCgf[^
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bCmd       R}h
'        dwData     f[^
' ߂l  True
'        s False
'===================================================================
Function Apci8759wDataFullWrite(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByVal pdwData As Long) As Boolean
    Apci8759wDataFullWrite = False
    If hDLL = 0 Then Exit Function
    If Apci8759DataFullWrite(wLogSlot, wAxis, bCmd, pdwData) = 0 Then Exit Function
    Apci8759wDataFullWrite = True
End Function
'===================================================================
'    armXCb`̒l擾
'    wLogSlot   	foCX
'        pdwSwitchValue XCb`̒li[̈ւ̃|C^
' ߂l  True
'        s False
'===================================================================
Function Apci8759wGetSwitchValue(ByVal wLogSlot As Integer, ByRef pdwSwitchValue As Long) As Boolean
    Apci8759wGetSwitchValue = False
    If hDLL = 0 Then Exit Function
    If Apci8759GetSwitchValue(wLogSlot, pdwSwitchValue) = 0 Then Exit Function
    Apci8759wGetSwitchValue = True
End Function
'-------------------------------------------------------------------
'    DLLGNX|[g֐AhX̎擾
'    
' ߂l  True
'        s False
'-------------------------------------------------------------------
Private Function Apci8759wGetDllExportFunc() As Boolean
    Dim pFunc As Long

    Apci8759wGetDllExportFunc = False

    pFunc = GetProcAddress(hDLL, "Apci8759GetVersion")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759GetVersion")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759Create")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759Close")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759GetResource")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759InPort")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759OutPort")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759GetLastError")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759GetDriveStatus")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759GetEndStatus")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759GetMechanicalSignal")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759GetUniversalSignal")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759Mode1Write")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759Mode2Write")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759UniversalSignalWrite")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759DataHalfRead")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759DataFullRead")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759CommandWrite")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759DataHalfWrite")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759DataFullWrite")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8759GetSwitchValue")
    If pFunc = 0 Then Exit Function

    Apci8759wGetDllExportFunc = True ' SĂ DLL GNX|[g֐݂̑mF

End Function

