Attribute VB_Name = "Apci8759"
'-----------------------------------------------------------------
' Apci8759.bas
' aPCI-8759 Win32 API.
'
' Copyright(C)ADTEK SYSTEM SCIECEN Co.,Ltd.
'-----------------------------------------------------------------
Option Explicit
'-----------------------------------------------------------------
' Error code
'-----------------------------------------------------------------
Global Const APCI8759_SUCCESS = 0                 ' ُȂiIj
Global Const APCI8759_ERR_SYSTEM = 1              ' VXeG[
Global Const APCI8759_ERR_NO_DEVICE = 2           ' gp\ȃfoCX܂
Global Const APCI8759_ERR_IN_USE = 3              ' w̃foCX͎gpł
Global Const APCI8759_ERR_INVALID_SLOT = 4        ' Ș_Xbgł
Global Const APCI8759_ERR_RESOURCE = 5            ' \[XG[
Global Const APCI8759_ERR_INVALID_PORT = 6        ' sȃ|[gv
Global Const APCI8759_ERR_INVALID_ARGUMENT = 7    ' sȈv܂
Global Const APCI8759_ERR_INVALID_AXIS = 50       ' Ȑ䎲v
'-----------------------------------------------------------------
' Axis
'-----------------------------------------------------------------
Global Const APCI8759_AXIS_1 = 0
Global Const APCI8759_AXIS_2 = 1
Global Const APCI8759_AXIS_3 = 2
Global Const APCI8759_AXIS_4 = 3
'-----------------------------------------------------------------
' I/O Map
'-----------------------------------------------------------------
Global Const APCI8759_PORT_DATA1 = &H0
Global Const APCI8759_PORT_DATA2 = &H1
Global Const APCI8759_PORT_DATA3 = &H2
Global Const APCI8759_PORT_DATA4 = &H3
Global Const APCI8759_PORT_COMMAND = &H4
Global Const APCI8759_PORT_MODE1 = &H5
Global Const APCI8759_PORT_MODE2 = &H6
Global Const APCI8759_PORT_UNIVERSAL_SIGNAL = &H7
Global Const APCI8759_PORT_DRIVE_STATUS = &H4
Global Const APCI8759_PORT_END_STATUS = &H5
Global Const APCI8759_PORT_MECHANICAL_SIGNAL = &H6
'-----------------------------------------------------------------
' command
'-----------------------------------------------------------------
Global Const APCI8759_RANGE_WRITE = &H0
Global Const APCI8759_RANGE_READ = &H1
Global Const APCI8759_START_STOP_SPEED_DATA_WRITE = &H2
Global Const APCI8759_START_STOP_SPEED_DATA_READ = &H3
Global Const APCI8759_OBJECT_SPEED_DATA_WRITE = &H4
Global Const APCI8759_OBJECT_SPEED_DATA_READ = &H5
Global Const APCI8759_RATE1_DATA_WRITE = &H6
Global Const APCI8759_RATE1_DATA_READ = &H7
Global Const APCI8759_RATE2_DATA_WRITE = &H8
Global Const APCI8759_RATE2_DATA_READ = &H9
Global Const APCI8759_RATE3_DATA_WRITE = &HA
Global Const APCI8759_RATE3_DATA_READ = &HB
Global Const APCI8759_RATE_CHANGE_POINT_1_2_WRITE = &HC
Global Const APCI8759_RATE_CHANGE_POINT_1_2_READ = &HD
Global Const APCI8759_RATE_CHANGE_POINT_2_3_WRITE = &HE
Global Const APCI8759_RATE_CHANGE_POINT_2_3_READ = &HF
Global Const APCI8759_SLOW_DOWN_REAR_PULSE_WRITE = &H10
Global Const APCI8759_SLOW_DOWN_REAR_PULSE_READ = &H11
Global Const APCI8759_NOW_SPEED_DATA_READ = &H12
Global Const APCI8759_DRIVE_PULSE_COUNTER_READ = &H13
Global Const APCI8759_PRESET_PULSE_DATA_OVERRIDE = &H14
Global Const APCI8759_PRESET_PULSE_DATA_READ = &H15
Global Const APCI8759_DEVIATION_DATA_READ = &H16
Global Const APCI8759_INPOSITION_WAIT_MODE1_SET = &H17
Global Const APCI8759_INPOSITION_WAIT_MODE2_SET = &H18
Global Const APCI8759_INPOSITION_WAIT_MODE_RESET = &H19
Global Const APCI8759_ALARM_STOP_ENABLE_MODE_SET = &H1A
Global Const APCI8759_ALARM_STOP_ENABLE_MODE_RESET = &H1B
Global Const APCI8759_INTERRUPT_OUT_ENABLE_MODE_SET = &H1C
Global Const APCI8759_INTERRUPT_OUT_ENABLE_MODE_RESET = &H1D
Global Const APCI8759_SLOW_DOWN_STOP = &H1E
Global Const APCI8759_EMERGENCY_STOP = &H1F
Global Const APCI8759_PLUS_PRESET_PULSE_DRIVE = &H20
Global Const APCI8759_MINUS_PRESET_PULSE_DRIVE = &H21
Global Const APCI8759_PULS_CONTINUOUS_DIRVE = &H22
Global Const APCI8759_MINUS_CONTINUOUS_DIRVE = &H23
Global Const APCI8759_PULS_SIGNAL_SEARCH1_DRIVE = &H24
Global Const APCI8759_MINUS_SIGNAL_SEARCH1_DRIVE = &H25
Global Const APCI8759_PULS_SIGNAL_SEARCH2_DRIVE = &H26
Global Const APCI8759_MINUS_SIGNAL_SEARCH2_DRIVE = &H27
Global Const APCI8759_INTERNAL_COUNTER_WRITE = &H28
Global Const APCI8759_INTERNAL_COUNTER_READ = &H29
Global Const APCI8759_INTERNAL_COMPARATE_DATA_WRITE = &H2A
Global Const APCI8759_INTERNAL_COMPARATE_DATA_READ = &H2B
Global Const APCI8759_EXTERNAL_COUNTER_WRITE = &H2C
Global Const APCI8759_EXTERNAL_COUNTER_READ = &H2D
Global Const APCI8759_EXTERNAL_COMPARATE_DATA_WRITE = &H2E
Global Const APCI8759_EXTERNAL_COMPARATE_DATA_READ = &H2F
Global Const APCI8759_INTERNAL_PRE_SCALE_DATA_WRITE = &H30
Global Const APCI8759_INTERNAL_PRE_SCALE_DATA_READ = &H31
Global Const APCI8759_EXTERNAL_PRE_SCALE_DATA_WRITE = &H32
Global Const APCI8759_EXTERNAL_PRE_SCALE_DATA_READ = &H33
Global Const APCI8759_CLEAR_SIGNAL_SELECT = &H34
Global Const APCI8759_ONE_TIME_CLEAR_REQUEST = &H35
Global Const APCI8759_FULL_TIME_CLEAR_REQUEST = &H36
Global Const APCI8759_CLEAR_REQUEST_RESET = &H37
Global Const APCI8759_REVERSE_COUNT_MODE_SET = &H38
Global Const APCI8759_REVERSE_COUNT_MODE_RESET = &H39
Global Const APCI8759_NO_OPERATION = &H3A
Global Const APCI8759_STRAIGHT_ACCELERATE_MODE_SET = &H84
Global Const APCI8759_US_STRAIGHT_ACCELERATE_MODE_SET = &H85
Global Const APCI8759_S_CURVE_ACCELERATE_MODE_SET = &H86
Global Const APCI8759_US_S_CURVE_ACCELERATE_MODE_SET = &H87
Global Const APCI8759_SW1_DATA_WRITE = &H88
Global Const APCI8759_SW1_DATA_READ = &H89
Global Const APCI8759_SW2_DATA_WRITE = &H8A
Global Const APCI8759_SW2_DATA_READ = &H8B
Global Const APCI8759_SLOW_DOWN_LIMIT_ENABLE_MODE_SET = &H8C
Global Const APCI8759_SLOW_DOWN_LIMIT_ENABLE_MODE_RESET = &H8D
Global Const APCI8759_EMERGENCY_LIMIT_ENABLE_MODE_SET = &H8E
Global Const APCI8759_EMERGENCY_LIMIT_ENABLE_MODE_RESET = &H8F
Global Const APCI8759_INITAL_CLEAR = &H90
'-----------------------------------------------------------------
' Misc
'-----------------------------------------------------------------
Global Const APCI8759_SLOT_AUTO = &HFFFF
Global Const APCI8759_MAX_SLOTS = 16
'-----------------------------------------------------------------
' Resoucer information
'-----------------------------------------------------------------
Global Const APCI8759_MAX_MEM = 9
Global Const APCI8759_MAX_IO = 20
Global Const APCI8759_MAX_IRQ = 7
Global Const APCI8759_MAX_DMA = 7
Type APCI8759RESOURCE
    dwNumMemWindows As Long                       ' EBhE
    dwMemBase(1 To APCI8759_MAX_MEM) As Long      ' EBhEJnAhX
    dwMemLength(1 To APCI8759_MAX_MEM) As Long    ' EBhE
    dwMemAttrib(1 To APCI8759_MAX_MEM) As Long    ' EBhE
    dwNumIOPorts As Long                          ' I/O|[g
    dwIOPortBase(1 To APCI8759_MAX_IO) As Long    ' I/O|[gJnAhX
    dwIOPortLength(1 To APCI8759_MAX_IO) As Long  ' I/O|[g
    dwNumIRQs As Long                             ' IRQ
    dwIRQRegisters(1 To APCI8759_MAX_IRQ) As Long ' IRQԍ
    dwIRQAttrib(1 To APCI8759_MAX_IRQ) As Long    ' IRQ
    dwNumDMAs As Long                             ' DMA`l
    dwDMALst(1 To APCI8759_MAX_DMA) As Long       ' DMA`l
    dwDMAAttrib(1 To APCI8759_MAX_DMA) As Long    ' DMA`l
    dwReserved1(1 To 3) As Long                   ' \
End Type
'-----------------------------------------------------------------
' API Functions
'-----------------------------------------------------------------
Public Declare Function Apci8759GetVersion Lib "Apci8759" (ByRef pdwDllVer As Long, ByRef pdwDrvVer As Long) As Long
Public Declare Function Apci8759Create Lib "Apci8759" (ByRef pwLogSlot As Integer) As Long
Public Declare Function Apci8759Close Lib "Apci8759" (ByVal wLogSlot As Integer) As Long
Public Declare Function Apci8759GetResource Lib "Apci8759" (ByVal wLogSlot As Integer, ByRef pres As APCI8759RESOURCE) As Long
Public Declare Function Apci8759InPort Lib "Apci8759" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal wPort As Integer, ByRef pbData As Byte) As Long
Public Declare Function Apci8759OutPort Lib "Apci8759" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal wPort As Integer, ByVal bData As Byte) As Long
Public Declare Function Apci8759GetLastError Lib "Apci8759" (ByVal wLogSlot As Integer) As Long
Public Declare Function Apci8759GetDriveStatus Lib "Apci8759" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbStatus As Byte) As Long
Public Declare Function Apci8759GetEndStatus Lib "Apci8759" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbStatus As Byte) As Long
Public Declare Function Apci8759GetMechanicalSignal Lib "Apci8759" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbSignal As Byte) As Long
Public Declare Function Apci8759GetUniversalSignal Lib "Apci8759" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbSignal As Byte) As Long
Public Declare Function Apci8759Mode1Write Lib "Apci8759" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bMode As Byte) As Long
Public Declare Function Apci8759Mode2Write Lib "Apci8759" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bMode As Byte) As Long
Public Declare Function Apci8759UniversalSignalWrite Lib "Apci8759" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bSignal As Byte) As Long
Public Declare Function Apci8759DataHalfRead Lib "Apci8759" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByRef pwData As Integer) As Long
Public Declare Function Apci8759DataFullRead Lib "Apci8759" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByRef pdwData As Long) As Long
Public Declare Function Apci8759CommandWrite Lib "Apci8759" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte) As Long
Public Declare Function Apci8759DataHalfWrite Lib "Apci8759" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByVal pwData As Integer) As Long
Public Declare Function Apci8759DataFullWrite Lib "Apci8759" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByVal pdwData As Long) As Long
Public Declare Function Apci8759GetSwitchValue Lib "Apci8759" (ByVal wLogSlot As Integer, ByRef pdwSwitchValue As Long) As Long





