//===================================================================
// Apci8759w.c
//-------------------------------------------------------------------
// aPCI-8759
// Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
// 
// Date Jan.1999
//===================================================================
#include <windows.h>
#include <tchar.h>
#include "Apci8759w.h"

// -- X^eBbN֐ & X^eBbNϐi萔j
static BOOL Apci8759wGetDllExportFunc( VOID );
static HANDLE hDLL = NULL;
// -- GNX|[g֐AhX̊i[pϐ
static FARPROC pApci8759GetVersion;
static FARPROC pApci8759Create;
static FARPROC pApci8759Close;
static FARPROC pApci8759GetResource;
static FARPROC pApci8759InPort;
static FARPROC pApci8759OutPort;
static FARPROC pApci8759GetLastError;
static FARPROC pApci8759GetDriveStatus;
static FARPROC pApci8759GetEndStatus;
static FARPROC pApci8759GetMechanicalSignal;
static FARPROC pApci8759GetUniversalSignal;
static FARPROC pApci8759Mode1Write;
static FARPROC pApci8759Mode2Write;
static FARPROC pApci8759UniversalSignalWrite;
static FARPROC pApci8759DataHalfRead;
static FARPROC pApci8759DataFullRead;
static FARPROC pApci8759CommandWrite;
static FARPROC pApci8759DataHalfWrite;
static FARPROC pApci8759DataFullWrite;
static FARPROC pApci8759GetSwitchValue;

//===================================================================
//   		DLL [h
//   		Ȃ
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wDllOpen( VOID )
{
	if ( hDLL != NULL ) return FALSE;
	hDLL = (HMODULE)LoadLibrary(APCI8759_DLL_NAME);
	if ( hDLL == NULL ) return FALSE;
	if ( Apci8759wGetDllExportFunc() == FALSE ) {
		Apci8759wDllClose();
		return FALSE;
	}
	return TRUE;
}
//===================================================================
//   		DLL A[h
//   		Ȃ
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wDllClose( VOID )
{
	if ( hDLL == NULL ) return FALSE;
	if ( FreeLibrary(hDLL) == TRUE ) {
		hDLL = NULL;
		return TRUE;
	}
	return FALSE;
}
//===================================================================
//   		o[Wԍ擾
//   		pdwDllVersion	DLL o[Wi[̈ւ̃|C^
//				pdwDrvVersion	DRV o[Wi[̈ւ̃|C^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wGetVersion( PDWORD pdwDllVersion, PDWORD pdwDrvVersion)
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759GetVersion)(pdwDllVersion,pdwDrvVersion);
}
//===================================================================
//   		foCX̎gp錾
//   		pwLogSlot		foCXi[̈ւ̃|C^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wCreate( PWORD pwLogSlot )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759Create)(pwLogSlot);
}
//===================================================================
//   		foCX̉
//   		wLogSlot		foCX
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wClose(WORD wLogSlot)
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759Close)(wLogSlot);
}
//===================================================================
//   		\[X擾
//   		wLogSlot		foCX
//				pres			\[Xi[̈ւ̃|C^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wGetResource(WORD wLogSlot, PAPCI8759R pres)
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759GetResource)(wLogSlot,pres);
}
//===================================================================
//   		ǂݍݎs
//   		wLogSlot		foCX
//				wAxis			Ώې䎲
//				wPort			Ώۃ|[gԍ
//				pbData			ǂݍ񂾃f[^i[̈ւ̃|C^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wInPort( WORD wLogSlot, WORD wAxis ,WORD wPort, PBYTE pbData )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759InPort)(wLogSlot,wAxis,wPort,pbData);
}
//===================================================================
//   		ݎs
//   		wLogSlot		foCX
//				wAxis			Ώې䎲
//				wPort			Ώۃ|[gԍ
//				bData			ޒl
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wOutPort( WORD wLogSlot, WORD wAxis ,WORD wPort, BYTE bData )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759OutPort)(wLogSlot,wAxis,wPort,bData);
}
//===================================================================
//   		hCuXe[^X擾
//   		wLogSlot		foCX
//				wAxis			Ώې䎲
//				pbStatus		i[̈ւ̃|C^	
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wGetDriveStatus( WORD wLogSlot, WORD wAxis, PBYTE pbStatus)
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759GetDriveStatus)(wLogSlot,wAxis,pbStatus);
}
//===================================================================
//   		GhXe[^X擾
//   		wLogSlot		foCX
//				wAxis			Ώې䎲
//				pbStatus		i[̈ւ̃|C^	
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wGetEndStatus( WORD wLogSlot, WORD wAxis, PBYTE pbStatus)
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759GetEndStatus)(wLogSlot,wAxis,pbStatus);
}
//===================================================================
//   		JjJVOi擾
//   		wLogSlot		foCX
//				wAxis			Ώې䎲
//				pbSignal		i[̈ւ̃|C^	
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wGetMechanicalSignal( WORD wLogSlot, WORD wAxis, PBYTE pbSignal )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759GetMechanicalSignal)(wLogSlot,wAxis,pbSignal);
}
//===================================================================
//   		jo[TVOi擾
//   		wLogSlot		foCX
//				wAxis			Ώې䎲
//				pbSignal		i[̈ւ̃|C^	
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wGetUniversalSignal( WORD wLogSlot, WORD wAxis, PBYTE pbSignal )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759GetUniversalSignal)(wLogSlot,wAxis,pbSignal);
}
//===================================================================
//   		[hP
//   		wLogSlot		foCX
//				wAxis			Ώې䎲
//				bMode			ރf[^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wMode1Write( WORD wLogSlot, WORD wAxis, BYTE bMode )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759Mode1Write)(wLogSlot,wAxis,bMode);
}
//===================================================================
//   		[hQ
//   		wLogSlot		foCX
//				wAxis			Ώې䎲
//				bMode			ރf[^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wMode2Write( WORD wLogSlot, WORD wAxis, BYTE bMode )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759Mode2Write)(wLogSlot,wAxis,bMode);
}
//===================================================================
//   		jo[TVOi
//   		wLogSlot		foCX
//				wAxis			Ώې䎲
//				bSignal			ރf[^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wUniversalSignalWrite( WORD wLogSlot, WORD wAxis, BYTE bSignal )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759UniversalSignalWrite)(wLogSlot,wAxis,bSignal);
}
//===================================================================
//   		QoCgf[^ǂݍ
//   		wLogSlot		foCX
//				wAxis			Ώې䎲
//				bCmd			ǂݍݎɎsR}h
//				pwData			ǂݍ񂾃f[^i[̈ւ̃|C^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wDataHalfRead( WORD wLogSlot, WORD wAxis, BYTE bCmd, PWORD pwData )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759DataHalfRead)(wLogSlot,wAxis,bCmd,pwData);
}
//===================================================================
//   		SoCgf[^ǂݍ
//   		wLogSlot		foCX
//				wAxis			Ώې䎲
//				bCmd			ǂݍݎɎsR}h
//				pdwData			ǂݍ񂾃f[^i[̈ւ̃|C^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wDataFullRead( WORD wLogSlot, WORD wAxis, BYTE bCmd, PDWORD pdwData )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759DataFullRead)(wLogSlot,wAxis,bCmd,pdwData);
}
//===================================================================
//   		R}h
//   		wLogSlot		foCX
//				wAxis			Ώې䎲
//				bCmd			R}h
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wCommandWrite( WORD wLogSlot, WORD wAxis, BYTE bCmd )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759CommandWrite)(wLogSlot,wAxis,bCmd);
}
//===================================================================
//   		QoCgf[^
//   		wLogSlot		foCX
//				wAxis			Ώې䎲
//				bCmd			ݎɎsR}h
//				wData			ރf[^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wDataHalfWrite( WORD wLogSlot, WORD wAxis, BYTE bCmd, WORD wData )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759DataHalfWrite)(wLogSlot,wAxis,bCmd,wData);
}
//===================================================================
//   		SoCgf[^
//   		wLogSlot		foCX
//				wAxis			Ώې䎲
//				bCmd			ݎɎsR}h
//				dwData			ރf[^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wDataFullWrite( WORD wLogSlot, WORD wAxis, BYTE bCmd, DWORD dwData )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759DataFullWrite)(wLogSlot,wAxis,bCmd,dwData);
}
//===================================================================
//   		armXCb`̒lǂݍ
//   		wLogSlot		foCX
//				pdwSwitchValue	XCb`̒li[̈ւ̃|C^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8759wGetSwitchValue( WORD wLogSlot, PDWORD pdwSwitchValue )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8759GetSwitchValue)(wLogSlot,pdwSwitchValue);
}
//===================================================================
//   		G[R[h擾
//   		wLogSlot		foCX
// ߂l		G[R[h
//===================================================================
DWORD Apci8759wGetLastError( WORD wLogSlot )
{
	if ( hDLL == NULL ) return APCI8759_ERR_WRAPDLL;
	return (*pApci8759GetLastError)(wLogSlot);
}
//-------------------------------------------------------------------
//   		DLLGNX|[g֐AhX̎擾
//   		Ȃ
// ߂l		TRUE	
//				FALSE	s
//-------------------------------------------------------------------
static BOOL Apci8759wGetDllExportFunc( VOID )
{
	pApci8759GetVersion = GetProcAddress( hDLL, _T("Apci8759GetVersion"));
	if ( pApci8759GetVersion == NULL ) return FALSE;
	pApci8759Create = GetProcAddress( hDLL, _T("Apci8759Create"));
	if ( pApci8759Create == NULL ) return FALSE;
	pApci8759Close = GetProcAddress( hDLL, _T("Apci8759Close"));
	if ( pApci8759Close == NULL ) return FALSE;
	pApci8759GetResource = GetProcAddress( hDLL, _T("Apci8759GetResource"));
	if ( pApci8759GetResource == NULL ) return FALSE;
	pApci8759InPort = GetProcAddress( hDLL, _T("Apci8759InPort"));
	if ( pApci8759InPort == NULL ) return FALSE;
	pApci8759OutPort = GetProcAddress( hDLL, _T("Apci8759OutPort"));
	if ( pApci8759OutPort == NULL ) return FALSE;
	pApci8759GetLastError = GetProcAddress( hDLL, _T("Apci8759GetLastError"));
	if ( pApci8759GetLastError == NULL ) return FALSE;
	pApci8759GetDriveStatus = GetProcAddress( hDLL, _T("Apci8759GetDriveStatus"));
	if ( pApci8759GetDriveStatus == NULL ) return FALSE;
	pApci8759GetEndStatus = GetProcAddress( hDLL, _T("Apci8759GetEndStatus"));
	if ( pApci8759GetEndStatus == NULL ) return FALSE;
	pApci8759GetMechanicalSignal = GetProcAddress( hDLL, _T("Apci8759GetMechanicalSignal"));
	if ( pApci8759GetMechanicalSignal == NULL ) return FALSE;
	pApci8759GetUniversalSignal = GetProcAddress( hDLL, _T("Apci8759GetUniversalSignal"));
	if ( pApci8759GetUniversalSignal == NULL ) return FALSE;
	pApci8759Mode1Write = GetProcAddress( hDLL, _T("Apci8759Mode1Write"));
	if ( pApci8759Mode1Write == NULL ) return FALSE;
	pApci8759Mode2Write = GetProcAddress( hDLL, _T("Apci8759Mode2Write"));
	if ( pApci8759Mode2Write == NULL ) return FALSE;
	pApci8759UniversalSignalWrite = GetProcAddress( hDLL, _T("Apci8759UniversalSignalWrite"));
	if ( pApci8759UniversalSignalWrite == NULL ) return FALSE;
	pApci8759DataHalfRead = GetProcAddress( hDLL, _T("Apci8759DataHalfRead"));
	if ( pApci8759DataHalfRead == NULL ) return FALSE;
	pApci8759DataFullRead = GetProcAddress( hDLL, _T("Apci8759DataFullRead"));
	if ( pApci8759DataFullRead == NULL ) return FALSE;
	pApci8759CommandWrite = GetProcAddress( hDLL, _T("Apci8759CommandWrite"));
	if ( pApci8759CommandWrite == NULL ) return FALSE;
	pApci8759DataHalfWrite = GetProcAddress( hDLL, _T("Apci8759DataHalfWrite"));
	if ( pApci8759DataHalfWrite == NULL ) return FALSE;
	pApci8759DataFullWrite = GetProcAddress( hDLL, _T("Apci8759DataFullWrite"));
	if ( pApci8759DataFullWrite == NULL ) return FALSE;
	pApci8759GetSwitchValue = GetProcAddress( hDLL, _T("Apci8759GetSwitchValue"));
	if ( pApci8759GetSwitchValue == NULL ) return FALSE;

	return TRUE;	// SẴAhX擾
}





